GDAL

Public Member Functions | List of all members
GDALEDTComponent Class Reference

Class for a component of a compound extended data type. More...

`#include <gdal_priv.h>`

## Public Member Functions
| GDALEDTComponent (const std::string &name, size_t offset, const GDALExtendedDataType &type)
| constructor of a GDALEDTComponent
| GDALEDTComponent (const GDALEDTComponent &)
| Copy constructor.
bool | operator== (const GDALEDTComponent &) const
| Equality operator.
const std::string & | GetName () const
| Return the name.
size_t | GetOffset () const
| Return the offset (in bytes) of the component in the compound data type.
const GDALExtendedDataType & | GetType () const
| Return the data type of the component.

## Detailed Description

Class for a component of a compound extended data type.

Since
  GDAL 3.1

## Constructor & Destructor Documentation

## ◆ GDALEDTComponent()

GDALEDTComponent::GDALEDTComponent | ( | const std::string & | name,
|  | size_t | offset,
|  | const GDALExtendedDataType & | type
| ) |  |

constructor of a GDALEDTComponent

This is the same as the C function GDALEDTComponendCreate()

Parameters

  name | Component name
  offset | Offset in byte of the component in the compound data type. In case of nesting of compound data type, this should be the offset to the immediate belonging data type, not to the higher level one.
  type | Component data type.

## Member Function Documentation

## ◆ GetName()

const std::string & GDALEDTComponent::GetName | ( |  | ) | const
| inline

Return the name.

This is the same as the C function GDALEDTComponentGetName().

## ◆ GetOffset()

size_t GDALEDTComponent::GetOffset | ( |  | ) | const
| inline

Return the offset (in bytes) of the component in the compound data type.

This is the same as the C function GDALEDTComponentGetOffset().

## ◆ GetType()

const GDALExtendedDataType & GDALEDTComponent::GetType | ( |  | ) | const
| inline

Return the data type of the component.

This is the same as the C function GDALEDTComponentGetType().

The documentation for this class was generated from the following files:

- gdal_priv.h
- gdalmultidim.cpp